local HeadCount = LibStub("AceAddon-3.0"):GetAddon("HeadCount2")

local Fields = {
	name = UNKNOWN,
	zone = UNKNOWN,
	runtime = 0,
	players = {},
	diffictuly = 1,
}

local Boss = HeadCount:NewClassFunctions()

function Boss:Init(args)
	if args then
		self.name = args["name"] or UNKNOWN
		self.zone = args["zone"] or UNKNOWN
		self.runtime = args["runtime"] or 0
		self.players = args["players"] or {}
		self.difficulty = args["difficulty"] or 1
	end
end

-- Add the Class Definition to Registry
HeadCount:DefineClass("Boss",Fields,Boss)